Index: test/pom.xml
===================================================================
--- test/pom.xml	(revision 25250)
+++ test/pom.xml	(working copy)
@@ -16,8 +16,8 @@
   <dependencies>
 
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-repository-connector</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-connector</artifactId>
     </dependency>
 
     <dependency>
@@ -28,95 +28,90 @@
     
     <!-- repository engine -->
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-repository-engine</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-engine</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
 
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-repository-engine</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-engine</artifactId>
       <version>${hippo.cms.version}</version>
       <classifier>tests</classifier>
     </dependency>
     <!-- end  repository engine -->
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-repository-upgrade</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-upgrade</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-repository-connector</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-connector</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-repository-modules</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-modules</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-xinha-frontend</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-cms-xinha-integration</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-frontend-engine</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-cms-engine</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-frontend-plugins</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-cms-plugins</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-package-config</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-cms-config</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-builtin-repository</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-cms-gotolink</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-gotolink</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-reviewedactions-repository</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-reviewed-action-repository</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-addon-faceteddate-repository</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-faceteddate-repository</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-cms-editor-repository</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-editor-repository</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-cms-reporting</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-reporting-repository</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-cms-gallery-repository</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-gallery-repository</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-cms-translation-repository</artifactId>
       <version>${hippo.cms.version}</version>
     </dependency>
-    <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-translation-repository</artifactId>
-      <version>${hippo.cms.version}</version>
-    </dependency>
    
 
     <!-- hst dependencies & initial structure -->
@@ -255,4 +250,4 @@
       </plugin>
     </plugins>
   </build>
-</project>
\ No newline at end of file
+</project>
Index: client-modules/page-composer/pom.xml
===================================================================
--- client-modules/page-composer/pom.xml	(revision 25250)
+++ client-modules/page-composer/pom.xml	(working copy)
@@ -17,8 +17,8 @@
   <modelVersion>4.0.0</modelVersion>
 
   <parent>
-    <groupId>org.onehippo.ecm</groupId>
-    <artifactId>hst</artifactId>
+    <groupId>org.onehippo.ecm.hst</groupId>
+    <artifactId>client-modules</artifactId>
     <version>2.10.02-SNAPSHOT</version>
   </parent>
 
Index: components/rewriter/pom.xml
===================================================================
--- components/rewriter/pom.xml	(revision 25250)
+++ components/rewriter/pom.xml	(working copy)
@@ -43,8 +43,8 @@
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-api</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
       <scope>provided</scope>
     </dependency>
     
Index: components/jaxrs/pom.xml
===================================================================
--- components/jaxrs/pom.xml	(revision 25250)
+++ components/jaxrs/pom.xml	(working copy)
@@ -49,8 +49,8 @@
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-api</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
       <scope>provided</scope>
     </dependency>
     
Index: components/security/pom.xml
===================================================================
--- components/security/pom.xml	(revision 25250)
+++ components/security/pom.xml	(working copy)
@@ -49,8 +49,8 @@
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-api</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
       <scope>provided</scope>
     </dependency>
     
Index: components/core/pom.xml
===================================================================
--- components/core/pom.xml	(revision 25250)
+++ components/core/pom.xml	(working copy)
@@ -166,11 +166,18 @@
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-repository-connector</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
+      <scope>provided</scope>
     </dependency>
 
     <dependency>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-connector</artifactId>
+      <scope>provided</scope>
+    </dependency>
+
+    <dependency>
       <groupId>org.onehippo.ecm.hst</groupId>
       <artifactId>hst-content-beans</artifactId>
       <version>${pom.version}</version>
Index: components/session-pool/pom.xml
===================================================================
--- components/session-pool/pom.xml	(revision 25250)
+++ components/session-pool/pom.xml	(working copy)
@@ -43,14 +43,14 @@
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-api</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
       <scope>provided</scope>
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-repository-connector</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-connector</artifactId>
       <scope>provided</scope>
     </dependency>
     
Index: components/caching/pom.xml
===================================================================
--- components/caching/pom.xml	(revision 25250)
+++ components/caching/pom.xml	(working copy)
@@ -50,14 +50,14 @@
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-api</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
       <scope>provided</scope>
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-repository-connector</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-connector</artifactId>
       <scope>provided</scope>
     </dependency>
     
Index: dependencies/client-dependencies/pom.xml
===================================================================
--- dependencies/client-dependencies/pom.xml	(revision 25250)
+++ dependencies/client-dependencies/pom.xml	(working copy)
@@ -36,8 +36,8 @@
     </dependency>
     <!-- hippo-ecm-api should be moved to 'shared-dependencies' after fix of HREPTWO-2866. -->
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-api</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
     </dependency>
     <dependency>
       <groupId>org.onehippo.ecm.hst</groupId>
Index: dependencies/server-dependencies/pom.xml
===================================================================
--- dependencies/server-dependencies/pom.xml	(revision 25250)
+++ dependencies/server-dependencies/pom.xml	(working copy)
@@ -36,8 +36,8 @@
       <scope>provided</scope>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-api</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
       <scope>provided</scope>
     </dependency>
     <dependency>
@@ -46,13 +46,13 @@
       <scope>provided</scope>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-builtin-common</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-builtin</artifactId>
       <scope>provided</scope>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-reviewed-action-common</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-reviewedactions-common</artifactId>
       <scope>provided</scope>
     </dependency>
     <dependency>
Index: dependencies/shared-dependencies/pom.xml
===================================================================
--- dependencies/shared-dependencies/pom.xml	(revision 25250)
+++ dependencies/shared-dependencies/pom.xml	(working copy)
@@ -35,16 +35,16 @@
       <artifactId>jdo2-api</artifactId>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-api</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-builtin-common</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-builtin</artifactId>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-reviewed-action-common</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-reviewedactions-common</artifactId>
     </dependency>
     <dependency>
       <groupId>org.onehippo.ecm.hst</groupId>
Index: pom.xml
===================================================================
--- pom.xml	(revision 25250)
+++ pom.xml	(working copy)
@@ -94,14 +94,14 @@
     <jackrabbit.version>2.1.2</jackrabbit.version>
     <jackrabbit-ocm.version>1.5.3</jackrabbit-ocm.version>
 
-    <hippo.cms.version>2.17.01</hippo.cms.version>
+    <hippo.cms.version>2.17.02-SNAPSHOT</hippo.cms.version>
    
     <jdo.version>2.0</jdo.version>
     <htmlcleaner.version>2.1</htmlcleaner.version>
     
     <yui.sources.version>1.01.07</yui.sources.version>
     <spring.js.version>2.0.5.RELEASE</spring.js.version>
-    <wicket.version>1.4.7</wicket.version>
+    <wicket.version>1.4.13</wicket.version>
     
     <jsr311.version>1.1</jsr311.version>
     <geronimo-stax-api_1.0_spec.version>1.0.1</geronimo-stax-api_1.0_spec.version>
@@ -337,8 +337,8 @@
       </dependency>
 
       <dependency>
-        <groupId>org.hippoecm</groupId>
-        <artifactId>hippo-ecm-api</artifactId>
+        <groupId>org.onehippo</groupId>
+        <artifactId>hippo-repository-api</artifactId>
         <version>${hippo.cms.version}</version>
       </dependency>
 
@@ -670,8 +670,8 @@
       <!-- Hippo ECM Depedencies -->
     
       <dependency>
-        <groupId>org.hippoecm</groupId>
-        <artifactId>hippo-ecm-repository-connector</artifactId>
+        <groupId>org.onehippo</groupId>
+        <artifactId>hippo-repository-connector</artifactId>
         <version>${hippo.cms.version}</version>
         <exclusions>
           <exclusion>
@@ -687,23 +687,23 @@
       </dependency>
       
       <dependency>
-        <groupId>org.hippoecm</groupId>
-        <artifactId>hippo-ecm-addon-builtin-common</artifactId>
+        <groupId>org.onehippo</groupId>
+        <artifactId>hippo-repository-builtin</artifactId>
         <version>${hippo.cms.version}</version>
       </dependency>
       
       <dependency>
-        <groupId>org.hippoecm</groupId>
-        <artifactId>hippo-ecm-addon-reviewed-action-common</artifactId>
+        <groupId>org.onehippo</groupId>
+        <artifactId>hippo-reviewedactions-common</artifactId>
         <version>${hippo.cms.version}</version>
       </dependency>
       
-      <dependency>
+      <!-- dependency>
         <groupId>org.hippoecm</groupId>
         <artifactId>hippo-ecm-package-war</artifactId>
         <version>${hippo.cms.version}</version>
         <type>war</type>
-      </dependency>
+      </dependency -->
       
       <!-- JDO for Hippo Repository Workflow APIs -->
       <dependency>
Index: demosuite/cms/pom.xml
===================================================================
--- demosuite/cms/pom.xml	(revision 25250)
+++ demosuite/cms/pom.xml	(working copy)
@@ -45,9 +45,16 @@
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-package-war</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-package-cms-dependencies</artifactId>
       <version>${hippo.cms.version}</version>
+      <type>pom</type>
+    </dependency>
+
+    <dependency>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-package-cms-war</artifactId>
+      <version>${hippo.cms.version}</version>
       <type>war</type>
     </dependency>
     
@@ -74,8 +81,8 @@
     
     <!-- workaround for HSTTWO-554 -->
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-gotolink</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-cms-gotolink</artifactId>
       <type>jar</type>
       <version>${hippo.cms.version}</version>
     </dependency>     
@@ -131,8 +138,8 @@
           </archive>
           <overlays>
             <overlay>
-              <groupId>org.hippoecm</groupId>
-              <artifactId>hippo-ecm-package-war</artifactId>
+              <groupId>org.onehippo</groupId>
+              <artifactId>hippo-package-cms-war</artifactId>
               <excludes>
                 <exclude>WEB-INF/lib/*slf4j*.jar</exclude>
                 <exclude>WEB-INF/lib/log4j*.jar</exclude>
@@ -196,4 +203,4 @@
     </plugins>
   </build>
 
-</project>
\ No newline at end of file
+</project>
Index: demosuite/site/pom.xml
===================================================================
--- demosuite/site/pom.xml	(revision 25250)
+++ demosuite/site/pom.xml	(working copy)
@@ -360,20 +360,20 @@
                       <outputDirectory>${tomcat.hst.shared.lib}</outputDirectory>
                     </artifactItem>
                     <artifactItem>
-                      <groupId>org.hippoecm</groupId>
-                      <artifactId>hippo-ecm-api</artifactId>
+                      <groupId>org.onehippo</groupId>
+                      <artifactId>hippo-repository-api</artifactId>
                       <version>${hippo.cms.version}</version>
                       <outputDirectory>${tomcat.hst.shared.lib}</outputDirectory>
                     </artifactItem>
                     <artifactItem>
-                      <groupId>org.hippoecm</groupId>
-                      <artifactId>hippo-ecm-addon-builtin-common</artifactId>
+                      <groupId>org.onehippo</groupId>
+                      <artifactId>hippo-repository-builtin</artifactId>
                       <version>${hippo.cms.version}</version>
                       <outputDirectory>${tomcat.hst.shared.lib}</outputDirectory>
                     </artifactItem>
                     <artifactItem>
-                      <groupId>org.hippoecm</groupId>
-                      <artifactId>hippo-ecm-addon-reviewed-action-common</artifactId>
+                      <groupId>org.onehippo</groupId>
+                      <artifactId>hippo-reviewedactions-common</artifactId>
                       <version>${hippo.cms.version}</version>
                       <outputDirectory>${tomcat.hst.shared.lib}</outputDirectory>
                     </artifactItem>
@@ -506,20 +506,20 @@
         <type>pom</type>
       </dependency>
       <dependency>
-        <groupId>org.hippoecm</groupId>
-        <artifactId>hippo-ecm-api</artifactId>
+        <groupId>org.onehippo</groupId>
+        <artifactId>hippo-repository-api</artifactId>
         <version>${hippo.cms.version}</version>
         <scope>provided</scope>
       </dependency>
       <dependency>
-        <groupId>org.hippoecm</groupId>
-        <artifactId>hippo-ecm-addon-builtin-common</artifactId>
+        <groupId>org.onehippo</groupId>
+        <artifactId>hippo-repository-builtin</artifactId>
         <version>${hippo.cms.version}</version>
         <scope>provided</scope>
       </dependency>
       <dependency>
-        <groupId>org.hippoecm</groupId>
-        <artifactId>hippo-ecm-addon-reviewed-action-common</artifactId>
+        <groupId>org.onehippo</groupId>
+        <artifactId>hippo-reviewedactions-common</artifactId>
         <version>${hippo.cms.version}</version>
         <scope>provided</scope>
       </dependency>
Index: sandbox/ocm/pom.xml
===================================================================
--- sandbox/ocm/pom.xml	(revision 25250)
+++ sandbox/ocm/pom.xml	(working copy)
@@ -43,8 +43,8 @@
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-api</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
       <scope>provided</scope>
     </dependency>
         
Index: content-beans/pom.xml
===================================================================
--- content-beans/pom.xml	(revision 25250)
+++ content-beans/pom.xml	(working copy)
@@ -56,31 +56,31 @@
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-api</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
       <scope>provided</scope>
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-builtin-common</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-builtin</artifactId>
       <version>${hippo.cms.version}</version>
       <exclusions>
         <exclusion>
-          <groupId>org.hippoecm</groupId>
-          <artifactId>hippo-ecm-api</artifactId>
+          <groupId>org.onehippo</groupId>
+          <artifactId>hippo-repository-api</artifactId>
         </exclusion>
       </exclusions>
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-addon-reviewed-action-common</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-reviewedactions-common</artifactId>
       <version>${hippo.cms.version}</version>
       <exclusions>
         <exclusion>
-          <groupId>org.hippoecm</groupId>
-          <artifactId>hippo-ecm-api</artifactId>
+          <groupId>org.onehippo</groupId>
+          <artifactId>hippo-repository-api</artifactId>
         </exclusion>
       </exclusions>
     </dependency>
Index: api/pom.xml
===================================================================
--- api/pom.xml	(revision 25250)
+++ api/pom.xml	(working copy)
@@ -49,8 +49,8 @@
     </dependency>
     
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-api</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
       <scope>provided</scope>
     </dependency>
 
Index: commons/pom.xml
===================================================================
--- commons/pom.xml	(revision 25250)
+++ commons/pom.xml	(working copy)
@@ -28,8 +28,8 @@
     </dependency>
 
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-api</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
       <scope>provided</scope>
     </dependency>
 
@@ -96,4 +96,4 @@
     </plugins>
   </build>
 
-</project>
\ No newline at end of file
+</project>
Index: client/pom.xml
===================================================================
--- client/pom.xml	(revision 25250)
+++ client/pom.xml	(working copy)
@@ -56,8 +56,8 @@
       <scope>provided</scope>
     </dependency>
     <dependency>
-      <groupId>org.hippoecm</groupId>
-      <artifactId>hippo-ecm-api</artifactId>
+      <groupId>org.onehippo</groupId>
+      <artifactId>hippo-repository-api</artifactId>
       <scope>provided</scope>
     </dependency>    
     <dependency>