Index: package/skin/src/main/webapp/screen.css
===================================================================
--- package/skin/src/main/webapp/screen.css	(revision 27676)
+++ package/skin/src/main/webapp/screen.css	(working copy)
@@ -578,9 +578,10 @@
 
 /* Reorder Plugin*/
 /* ================================================ */
-.hippo-reorder table {width: 480px;}
-.hippo-reorder .hippo-reorder-border{border: 1px solid #32629b; padding: 5px; height: 272px; overflow: auto; position: relative}
-.hippo-reorder .hippo-reorder-buttons{position: absolute; right: 0px; top: 1px; width: 30px;}
+.hippo-reorder table {width: 445px;}
+.hippo-reorder .hippo-reorder-table-area {overflow: auto; width: 465px; height: 272px;}
+.hippo-reorder .hippo-reorder-border{border: 1px solid #32629b; padding: 5px; height: 272px; position: relative}
+.hippo-reorder .hippo-reorder-buttons{position: absolute; right: 0px; top: 1px; width: 34px;}
 
 .hippo-reorder .folderlist h3{font-weight: normal; padding: 2px; padding-left: 6px; padding-bottom: 5px;}
 .hippo-reorder table tr td {padding: 0px;}
Index: addon/builtin/frontend/src/main/java/org/hippoecm/frontend/plugins/standardworkflow/ReorderDialog.html
===================================================================
--- addon/builtin/frontend/src/main/java/org/hippoecm/frontend/plugins/standardworkflow/ReorderDialog.html	(revision 27676)
+++ addon/builtin/frontend/src/main/java/org/hippoecm/frontend/plugins/standardworkflow/ReorderDialog.html	(working copy)
@@ -20,10 +20,14 @@
     <span wicket:id="reorder-panel">
       <div class="hippo-reorder-border">
         <div class="hippo-reorder-buttons">
+            <button wicket:id="top">&#8657;</button>
             <button wicket:id="up">&#8593;</button>
             <button wicket:id="down">&#8595;</button>
+            <button wicket:id="bottom">&#8659;</button>
         </div>
-        <table class="hippo-list-details" cellspacing="0" wicket:id="table" width="100%">[table]</table>
+        <div class="hippo-reorder-table-area">
+        	<table class="hippo-list-details" cellspacing="0" wicket:id="table" width="100%">[table]</table>
+        </div>
       </div>
     </span>
     </div>
Index: addon/builtin/frontend/src/main/java/org/hippoecm/frontend/plugins/standardworkflow/ReorderDialog.java
===================================================================
--- addon/builtin/frontend/src/main/java/org/hippoecm/frontend/plugins/standardworkflow/ReorderDialog.java	(revision 27676)
+++ addon/builtin/frontend/src/main/java/org/hippoecm/frontend/plugins/standardworkflow/ReorderDialog.java	(working copy)
@@ -169,6 +169,14 @@
             }
         }
 
+        public void shiftTop(ListItem item) {
+            int index = listItems.indexOf(item);
+            if (index > 0) {
+                listItems.remove(index);
+                listItems.add(0, item);
+            }
+        }
+
         public void shiftUp(ListItem item) {
             int index = listItems.indexOf(item);
             if (index > 0) {
@@ -185,6 +193,14 @@
             }
         }
 
+        public void shiftBottom(ListItem item) {
+            int index = listItems.indexOf(item);
+            if (index < listItems.size()) {
+                listItems.remove(index);
+                listItems.add(item);
+            }
+        }
+
         public List<String> getMapping() {
             LinkedList<String> newOrder = new LinkedList<String>();
             for (ListItem item : listItems) {
@@ -203,6 +219,8 @@
         private ListPagingDefinition pagingDefinition;
         private AjaxLink<Void> up;
         private AjaxLink<Void> down;
+        private AjaxLink<Void> top;
+        private AjaxLink<Void> bottom;
 
         public ReorderPanel(String id, JcrNodeModel model, DocumentListFilter filter) {
             super(id);
@@ -256,6 +274,24 @@
             add(dataTable = new ListDataTable<ListItem>("table", tableDefinition, dataProvider, this, false,
                     pagingDefinition));
 
+            top = new AjaxLink<Void>("top") {
+                private static final long serialVersionUID = 1L;
+
+                @Override
+                public void onClick(AjaxRequestTarget target) {
+                    IModel<ListItem> selection = dataTable.getModel();
+                    dataProvider.shiftTop(selection.getObject());
+
+                    ReorderPanel panel = ReorderPanel.this;
+                    dataTable = new ListDataTable<ListItem>("table", tableDefinition, dataProvider, panel, false,
+                            pagingDefinition);
+                    panel.replace(dataTable);
+                    selectionChanged(selection);
+                }
+            };
+            add(top);
+
+            
             up = new AjaxLink<Void>("up") {
                 private static final long serialVersionUID = 1L;
 
@@ -289,6 +325,23 @@
                 }
             };
             add(down);
+            
+            bottom = new AjaxLink<Void>("bottom") {
+                private static final long serialVersionUID = 1L;
+
+                @Override
+                public void onClick(AjaxRequestTarget target) {
+                    IModel<ListItem> selection = dataTable.getModel();
+                    dataProvider.shiftBottom(selection.getObject());
+
+                    ReorderPanel panel = ReorderPanel.this;
+                    dataTable = new ListDataTable<ListItem>("table", tableDefinition, dataProvider, panel, false,
+                            pagingDefinition);
+                    panel.replace(dataTable);
+                    selectionChanged(selection);
+                }
+            };
+            add(bottom);
 
             if (dataProvider.size() > 0) {
                 ListItem selection = dataProvider.iterator(0, 1).next();