Index: content/src/main/resources/hst-hst/hst-configurations/hippogogreen_nl/pages.xml
===================================================================
--- content/src/main/resources/hst-hst/hst-configurations/hippogogreen_nl/pages.xml	(revision 28292)
+++ content/src/main/resources/hst-hst/hst-configurations/hippogogreen_nl/pages.xml	(working copy)
@@ -34,14 +34,14 @@
       <sv:value>com.onehippo.gogreen.exceptions.CustomPageErrorHandler</sv:value>
     </sv:property>
     <sv:property sv:name="hst:template" sv:type="String">
-      <sv:value>layout.webpage</sv:value>
+      <sv:value>layout.webpage.ftl</sv:value>
     </sv:property>
     <sv:node sv:name="header">
       <sv:property sv:name="jcr:primaryType" sv:type="Name">
         <sv:value>hst:component</sv:value>
       </sv:property>
       <sv:property sv:name="hst:template" sv:type="String">
-        <sv:value>standard.header</sv:value>
+        <sv:value>standard.header.ftl</sv:value>
       </sv:property>
       <sv:node sv:name="topnav">
         <sv:property sv:name="jcr:primaryType" sv:type="Name">
@@ -93,7 +93,7 @@
         <sv:value>hst:component</sv:value>
       </sv:property>
       <sv:property sv:name="hst:template" sv:type="String">
-        <sv:value>standard.main</sv:value>
+        <sv:value>standard.main.ftl</sv:value>
       </sv:property>
     </sv:node>
     <sv:node sv:name="footer">
@@ -154,7 +154,7 @@
         <sv:value>hst:component</sv:value>
       </sv:property>
       <sv:property sv:name="hst:template" sv:type="String">
-        <sv:value>standard.main</sv:value>
+        <sv:value>standard.main.ftl</sv:value>
       </sv:property>
       <sv:node sv:name="left">
         <sv:property sv:name="jcr:primaryType" sv:type="Name">
Index: content/src/main/resources/hst-hst/hst-configurations/hippogogreen/pages.xml
===================================================================
--- content/src/main/resources/hst-hst/hst-configurations/hippogogreen/pages.xml	(revision 28292)
+++ content/src/main/resources/hst-hst/hst-configurations/hippogogreen/pages.xml	(working copy)
@@ -42,7 +42,7 @@
       <sv:value>com.onehippo.gogreen.exceptions.CustomPageErrorHandler</sv:value>
     </sv:property>
     <sv:property sv:name="hst:template" sv:type="String">
-      <sv:value>layout.webpage</sv:value>
+      <sv:value>layout.webpage.ftl</sv:value>
     </sv:property>
     <sv:node sv:name="header">
       <sv:property sv:name="jcr:primaryType" sv:type="Name">
@@ -52,7 +52,7 @@
         <sv:value>22d2e5d0-46dc-45e2-88ec-e28647077ce2</sv:value>
       </sv:property>
       <sv:property sv:name="hst:template" sv:type="String">
-        <sv:value>standard.header</sv:value>
+        <sv:value>standard.header.ftl</sv:value>
       </sv:property>
       <sv:node sv:name="topnav">
         <sv:property sv:name="jcr:primaryType" sv:type="Name">
@@ -119,7 +119,7 @@
         <sv:value>ca2f60e9-c43e-42ec-bc47-abdbda62f928</sv:value>
       </sv:property>
       <sv:property sv:name="hst:template" sv:type="String">
-        <sv:value>standard.main</sv:value>
+        <sv:value>standard.main.ftl</sv:value>
       </sv:property>
     </sv:node>
     <sv:node sv:name="footer">
@@ -195,7 +195,7 @@
         <sv:value>85cb340f-4636-41f4-95c8-ce1b07a84e42</sv:value>
       </sv:property>
       <sv:property sv:name="hst:template" sv:type="String">
-        <sv:value>standard.main</sv:value>
+        <sv:value>standard.main.ftl</sv:value>
       </sv:property>
       <sv:node sv:name="left">
         <sv:property sv:name="jcr:primaryType" sv:type="Name">
Index: content/src/main/resources/hst-hst/hst-configurations/common/templates.xml
===================================================================
--- content/src/main/resources/hst-hst/hst-configurations/common/templates.xml	(revision 28292)
+++ content/src/main/resources/hst-hst/hst-configurations/common/templates.xml	(working copy)
@@ -106,7 +106,7 @@
       <sv:value>jsp/common/map.jsp</sv:value>
     </sv:property>
   </sv:node>
-  <sv:node sv:name="layout.webpage">
+  <sv:node sv:name="layout.webpage.ftl">
     <sv:property sv:name="jcr:primaryType" sv:type="Name">
       <sv:value>hst:template</sv:value>
     </sv:property>
@@ -118,11 +118,148 @@
       <sv:value>body</sv:value>
       <sv:value>footer</sv:value>
     </sv:property>
-    <sv:property sv:name="hst:renderpath" sv:type="String">
-      <sv:value>jsp/layout/webpage.jsp</sv:value>
+    <sv:property sv:name="hst:script" sv:type="String">
+      <sv:value><![CDATA[
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<#--
+
+    Copyright (C) 2010 Hippo B.V.
+
+    Licensed under the Apache License, Version 2.0 (the "License");
+    you may not use this file except in compliance with the License.
+    You may obtain a copy of the License at
+
+            http://www.apache.org/licenses/LICENSE-2.0
+
+    Unless required by applicable law or agreed to in writing, software
+    distributed under the License is distributed on an "AS IS" BASIS,
+    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+    See the License for the specific language governing permissions and
+    limitations under the License.
+
+-->
+<#assign fmt=JspTaglibs["http://java.sun.com/jsp/jstl/fmt"]>
+<#assign hst=JspTaglibs["http://www.hippoecm.org/jsp/hst/core"]>
+
+<@hst.defineObjects />
+
+<#assign lang=hstRequest.locale.language />
+<#assign textSize="" />
+<#list hstRequest.cookies as cookie>
+  <#if cookie.name == "fontSize">
+    <#assign textSize="${cookie.value}" />
+  </#if>
+</#list>
+
+<html xmlns="http://www.w3.org/1999/xhtml" lang="${lang}">
+<head>
+    <@hst.headContributions categoryExcludes="css,jsInternal,jsExternal,hippoPagecomposer" />
+    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
+    <link rel="schema.DC" href="http://purl.org/dc/elements/1.1/" />
+    <link rel="schema.DCTERMS" href="http://purl.org/dc/terms/" />
+    <meta name="DC.keywords" content="<@fmt.message key="layout.webpage.metadckeywords"/>" />
+    <meta name="description" content="<@fmt.message key="layout.webpage.metadescription"/>" />
+    <meta name="DC.type" content="webpagina" scheme="THC.type" />
+    <meta name="DCTERMS.issued" content="2009-07-09T10:31" scheme="DCTERMS.W3CDTF" />
+    <meta name="DCTERMS.available" content="2009-07-09T10:31" scheme="DCTERMS.W3CDTF" />
+    <meta name="DC.title" content="<@fmt.message key="layout.webpage.metadctitle"/>" />
+    <meta name="DC.language" content="${lang}" scheme="DCTERMS.RFC3066" />
+
+    <@hst.link var="yuicss" path="/css/yui-css.css"/>
+    <link rel="stylesheet" media="screen" type="text/css" href="${yuicss}"/>
+
+    <@hst.link var="screen" path="/css/screen.css"/>
+    <link rel="stylesheet" media="screen" type="text/css" href="${screen}"/>
+
+    <@hst.headContributions categoryIncludes="css"/>
+
+    <@hst.link var="jquery" path="/js/jquery-1.4.2.min.js"/>
+    <script src="${jquery}" type="text/javascript"></script>
+    
+    <@hst.link var="favicon" path="/images/favicon.ico"/>
+    <link rel="icon" href="${favicon}" type="image/x-icon"/>
+    <link rel="shortcut icon" href="${favicon}" type="image/x-icon"/>
+
+    <@hst.link var="appletouchicon" path="/images/apple-touch-icon.png"/>
+    <link rel="apple-touch-icon" href="${appletouchicon}"/>
+
+    <!--[if lte IE 7]>
+       <@hst.link var="ie7css" path="/css/ie7.css"/>
+       <link rel="stylesheet" media="screen" type="text/css" href="${ie7css}">
+       <script type="text/javascript">ie7 = true;</script>
+    <![endif]-->
+
+    <!--
+        <@hst.link var="print" path="/css/print.css"/>
+        <link rel="stylesheet" media="print" type="text/css" href="${print}">
+     -->
+
+    <@hst.link var="rssHref" path="/rss" />
+    <@fmt.message var="rssTitle" key="standard.header.rss"/>
+    <link rel="alternate" type="application/rss+xml" title="${rssTitle}" href="${rssHref}"/>
+
+</head>
+<body<#if textSize != ""> style="font-size: ${cookie.textSize.value}px;"</#if>>
+<!-- document wrapper -->
+
+<!--[if lte IE 6]>
+<div id="ie6-warning">
+  <a href="http://www.onehippo.org/cms7"><img src="<@hst.link path="/images/logo-hippo2.png"/>" alt="<@fmt.message key="layout.webpage.hippologoalt"/>" /></a>
+  <p><@fmt.message key="layout.webpage.welcome"/></p>
+  <p><@fmt.message key="layout.webpage.unsupportedbrowser"/></p>
+  <ul class="bullet-points">
+    <li><a href="http://getfirefox.com"><@fmt.message key="layout.webpage.firefox"/></a></li>
+    <li><a href="http://www.opera.com/download"><@fmt.message key="layout.webpage.opera"/></a></li>
+    <li><a href="http://www.google.com/chrome"><@fmt.message key="layout.webpage.chrome"/></a></li>
+    <li><a href="http://www.microsoft.com/windows/downloads/ie/getitnow.mspx"><@fmt.message key="layout.webpage.ie8"/></a></li>
+  </ul>
+<![endif]-->
+
+<div id="doc" class="yui-d-custom">
+    <div id="wrapper">
+        <div id="wrapper2">
+            <!-- header -->
+            <@hst.include ref="header"/>
+
+            <!-- body / main -->
+            <@hst.include ref="main"/>
+
+            <!-- footer -->
+            <@hst.include ref="footer"/>
+        </div>
+    </div>
+</div>
+<div id="ft-disclaimer">
+  <@fmt.message key="layout.webpage.disclaimer">
+    <@fmt.param><a href="http://www.onehippo.com/en/products/cms"></@fmt.param>
+    <@fmt.param><a href="http://www.onehippo.org/site-toolkit"></@fmt.param>
+    <@fmt.param><a href="https://issues.onehippo.com/browse/GOGREEN"></@fmt.param>
+    <@fmt.param></a></@fmt.param>
+  </@fmt.message>
+</div>
+
+<@hst.link var="jscommon" path="/js/js-common.js"/>
+<script src="${jscommon}" type="text/javascript"></script>
+
+<@hst.link var="jquerytools" path="/js/jquery.tools.min.js"/>
+<script src="${jquerytools}" type="text/javascript"></script>
+
+<@hst.link var="helpoverlay" path="/js/help-overlay.js"/>
+<script src="${helpoverlay}" type="text/javascript"></script>
+
+<@hst.headContributions categoryIncludes="jsExternal"/>
+<@hst.headContributions categoryIncludes="jsInternal"/>
+<@hst.headContributions categoryIncludes="hippoPagecomposer"/>
+<#if composermode>
+  <@hst.link var="googleAnalytics" path="/js/google_analytics.js"/>
+  <script src="${googleAnalytics}" type="text/javascript"></script>
+</#if>
+</body>
+</html>
+      ]]></sv:value>
     </sv:property>
   </sv:node>
-  <sv:node sv:name="standard.header">
+  <sv:node sv:name="standard.header.ftl">
     <sv:property sv:name="jcr:primaryType" sv:type="Name">
       <sv:value>hst:template</sv:value>
     </sv:property>
@@ -136,8 +273,56 @@
       <sv:value>topnav</sv:value>
       <sv:value>langnavigation</sv:value>
     </sv:property>
-    <sv:property sv:name="hst:renderpath" sv:type="String">
-      <sv:value>jsp/standard/header.jsp</sv:value>
+    <sv:property sv:name="hst:script" sv:type="String">
+      <sv:value><![CDATA[
+<#--
+
+    Copyright (C) 2010 Hippo B.V.
+
+    Licensed under the Apache License, Version 2.0 (the "License");
+    you may not use this file except in compliance with the License.
+    You may obtain a copy of the License at
+
+            http://www.apache.org/licenses/LICENSE-2.0
+
+    Unless required by applicable law or agreed to in writing, software
+    distributed under the License is distributed on an "AS IS" BASIS,
+    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+    See the License for the specific language governing permissions and
+    limitations under the License.
+
+-->
+
+<#assign fmt=JspTaglibs["http://java.sun.com/jsp/jstl/fmt"]>
+<#assign hst=JspTaglibs["http://www.hippoecm.org/jsp/hst/core"]>
+
+<@hst.defineObjects/>
+
+<!-- header -->
+<div id="hd">
+    <!-- top navigation -->
+    <@hst.include ref="topnav"/>
+
+    <!-- logo -->
+    <#assign lang=hstRequest.locale.language/>
+    <@hst.link var="linkHome" path="/home"/>
+    <@hst.link var="imgLogo" path="/images/gogreen_logo_${lang}.png"/>
+    <@fmt.message var="altLogo" key="standard.header.logo.alt"/>
+    <h1><a href="${linkHome}"><img src="${imgLogo}" alt="${altLogo}" class="logo" width="275" height="70" /></a></h1>
+ 
+    <!-- search bar -->
+    <@hst.include ref="search"/> 
+    
+    <!--  language navigation -->
+    <@hst.include ref="langnavigation" />
+    
+    <!-- main navigation -->
+    <@hst.include ref="mainnavigation"/>
+ 
+    <!-- login / registration -->
+    <@hst.include ref="login"/>
+</div>
+      ]]></sv:value>
     </sv:property>
   </sv:node>
   <sv:node sv:name="standard.header.topnav">
@@ -203,7 +388,7 @@
       <sv:value>jsp/standard/header/login.jsp</sv:value>
     </sv:property>
   </sv:node>
-  <sv:node sv:name="standard.main">
+  <sv:node sv:name="standard.main.ftl">
     <sv:property sv:name="jcr:primaryType" sv:type="Name">
       <sv:value>hst:template</sv:value>
     </sv:property>
@@ -214,8 +399,42 @@
       <sv:value>leftmenu</sv:value>
       <sv:value>pageactions</sv:value>
     </sv:property>
-    <sv:property sv:name="hst:renderpath" sv:type="String">
-      <sv:value>jsp/standard/main.jsp</sv:value>
+    <sv:property sv:name="hst:script" sv:type="String">
+      <sv:value><![CDATA[
+<#--
+
+    Copyright (C) 2010 Hippo B.V.
+
+    Licensed under the Apache License, Version 2.0 (the "License");
+    you may not use this file except in compliance with the License.
+    You may obtain a copy of the License at
+
+            http://www.apache.org/licenses/LICENSE-2.0
+
+    Unless required by applicable law or agreed to in writing, software
+    distributed under the License is distributed on an "AS IS" BASIS,
+    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+    See the License for the specific language governing permissions and
+    limitations under the License.
+
+-->
+
+<#assign fmt=JspTaglibs["http://java.sun.com/jsp/jstl/fmt"]>
+<#assign hst=JspTaglibs["http://www.hippoecm.org/jsp/hst/core"]>
+
+<div id="bd" class="yui-t1">
+   
+    <!-- left -->
+    <@hst.include ref="left"/>
+    
+    <!-- content -->
+    <@hst.include ref="content"/>
+    
+    <!-- right -->
+    <@hst.include ref="right"/>
+   
+</div>
+      ]]></sv:value>
     </sv:property>
   </sv:node>
   <sv:node sv:name="standard.main.left">
Index: content/src/main/resources/hst-hst/hst-configurations/hippogogreen_fr/pages.xml
===================================================================
--- content/src/main/resources/hst-hst/hst-configurations/hippogogreen_fr/pages.xml	(revision 28292)
+++ content/src/main/resources/hst-hst/hst-configurations/hippogogreen_fr/pages.xml	(working copy)
@@ -33,14 +33,14 @@
       <sv:value>com.onehippo.gogreen.exceptions.CustomPageErrorHandler</sv:value>
     </sv:property>
     <sv:property sv:name="hst:template" sv:type="String">
-      <sv:value>layout.webpage</sv:value>
+      <sv:value>layout.webpage.ftl</sv:value>
     </sv:property>
     <sv:node sv:name="header">
       <sv:property sv:name="jcr:primaryType" sv:type="Name">
         <sv:value>hst:component</sv:value>
       </sv:property>
       <sv:property sv:name="hst:template" sv:type="String">
-        <sv:value>standard.header</sv:value>
+        <sv:value>standard.header.ftl</sv:value>
       </sv:property>
       <sv:node sv:name="topnav">
         <sv:property sv:name="jcr:primaryType" sv:type="Name">
@@ -92,7 +92,7 @@
         <sv:value>hst:component</sv:value>
       </sv:property>
       <sv:property sv:name="hst:template" sv:type="String">
-        <sv:value>standard.main</sv:value>
+        <sv:value>standard.main.ftl</sv:value>
       </sv:property>
     </sv:node>
     <sv:node sv:name="footer">
@@ -153,7 +153,7 @@
         <sv:value>hst:component</sv:value>
       </sv:property>
       <sv:property sv:name="hst:template" sv:type="String">
-        <sv:value>standard.main</sv:value>
+        <sv:value>standard.main.ftl</sv:value>
       </sv:property>
       <sv:node sv:name="left">
         <sv:property sv:name="jcr:primaryType" sv:type="Name">
Index: site/src/main/webapp/WEB-INF/jsp/layout/webpage.jsp
===================================================================
--- site/src/main/webapp/WEB-INF/jsp/layout/webpage.jsp	(revision 28292)
+++ site/src/main/webapp/WEB-INF/jsp/layout/webpage.jsp	(working copy)
@@ -1,132 +0,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
-<%--
-
-    Copyright (C) 2010 Hippo B.V.
-
-    Licensed under the Apache License, Version 2.0 (the "License");
-    you may not use this file except in compliance with the License.
-    You may obtain a copy of the License at
-
-            http://www.apache.org/licenses/LICENSE-2.0
-
-    Unless required by applicable law or agreed to in writing, software
-    distributed under the License is distributed on an "AS IS" BASIS,
-    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-    See the License for the specific language governing permissions and
-    limitations under the License.
-
---%>
-<%@ page language="java"%>
-<%@ page contentType="text/html; charset=UTF-8"%>
-<%@ page trimDirectiveWhitespaces="true"%>
-<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
-<%@include file="../includes/tags.jspf" %>
-
-<c:set scope="page" var="paths" value="${labels}" />
-<c:set var="lang" value="${pageContext.request.locale.language}"/>
-
-<html xmlns="http://www.w3.org/1999/xhtml" lang="${lang}">
-<head>
-    <hst:headContributions categoryExcludes="css,jsInternal,jsExternal,hippoPagecomposer" />
-    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
-    <link rel="schema.DC" href="http://purl.org/dc/elements/1.1/" />
-    <link rel="schema.DCTERMS" href="http://purl.org/dc/terms/" />
-    <meta name="DC.keywords" content="<fmt:message key="layout.webpage.metadckeywords"/>" />
-    <meta name="description" content="<fmt:message key="layout.webpage.metadescription"/>" />
-    <meta name="DC.type" content="webpagina" scheme="THC.type" />
-    <meta name="DCTERMS.issued" content="2009-07-09T10:31" scheme="DCTERMS.W3CDTF" />
-    <meta name="DCTERMS.available" content="2009-07-09T10:31" scheme="DCTERMS.W3CDTF" />
-    <meta name="DC.title" content="<fmt:message key="layout.webpage.metadctitle"/>" />
-    <meta name="DC.language" content="${lang}" scheme="DCTERMS.RFC3066" />
-
-    <hst:link var="yuicss" path="/css/yui-css.css"/>
-    <link rel="stylesheet" media="screen" type="text/css" href="${yuicss}"/>
-
-    <hst:link var="screen" path="/css/screen.css"/>
-    <link rel="stylesheet" media="screen" type="text/css" href="${screen}"/>
-
-    <hst:headContributions categoryIncludes="css"/>
-
-    <hst:link var="jquery" path="/js/jquery-1.4.2.min.js"/>
-    <script src="${jquery}" type="text/javascript"></script>
-    
-    <hst:link var="favicon" path="/images/favicon.ico"/>
-    <link rel="icon" href="${favicon}" type="image/x-icon"/>
-    <link rel="shortcut icon" href="${favicon}" type="image/x-icon"/>
-
-    <hst:link var="appletouchicon" path="/images/apple-touch-icon.png"/>
-    <link rel="apple-touch-icon" href="${appletouchicon}"/>
-
-    <!--[if lte IE 7]>
-       <hst:link var="ie7css" path="/css/ie7.css"/>
-       <link rel="stylesheet" media="screen" type="text/css" href="${ie7css}">
-       <script type="text/javascript">ie7 = true;</script>
-    <![endif]-->
-
-    <!--
-        <hst:link var="print" path="/css/print.css"/>
-        <link rel="stylesheet" media="print" type="text/css" href="${print}">
-     -->
-
-    <hst:link var="rssHref" path="/rss" />
-    <fmt:message var="rssTitle" key="standard.header.rss"/>
-    <link rel="alternate" type="application/rss+xml" title="${rssTitle}" href="${rssHref}"/>
-
-</head>
-<body<c:if test="${cookie.textSize.value ne null}"> style="font-size: ${cookie.textSize.value}px;"</c:if>>
-<!-- document wrapper -->
-
-<!--[if lte IE 6]>
-<div id="ie6-warning">
-  <a href="http://www.onehippo.org/cms7"><img src="<hst:link path="/images/logo-hippo2.png"/>" alt="<fmt:message key="layout.webpage.hippologoalt"/>" /></a>
-  <p><fmt:message key="layout.webpage.welcome"/></p>
-  <p><fmt:message key="layout.webpage.unsupportedbrowser"/></p>
-  <ul class="bullet-points">
-    <li><a href="http://getfirefox.com"><fmt:message key="layout.webpage.firefox"/></a></li>
-    <li><a href="http://www.opera.com/download"><fmt:message key="layout.webpage.opera"/></a></li>
-    <li><a href="http://www.google.com/chrome"><fmt:message key="layout.webpage.chrome"/></a></li>
-    <li><a href="http://www.microsoft.com/windows/downloads/ie/getitnow.mspx"><fmt:message key="layout.webpage.ie8"/></a></li>
-  </ul>
-<![endif]-->
-
-<div id="doc" class="yui-d-custom">
-    <div id="wrapper">
-        <div id="wrapper2">
-            <!-- header -->
-            <hst:include ref="header"/>
-
-            <!-- body / main -->
-            <hst:include ref="main"/>
-
-            <!-- footer -->
-            <hst:include ref="footer"/>
-        </div>
-    </div>
-</div>
-<div id="ft-disclaimer">
-  <fmt:message key="layout.webpage.disclaimer">
-  <fmt:param><a href="http://www.onehippo.com/en/products/cms"></fmt:param>
-  <fmt:param><a href="http://www.onehippo.org/site-toolkit"></fmt:param>
-    <fmt:param><a href="https://issues.onehippo.com/browse/GOGREEN"></fmt:param>
-      <fmt:param></a></fmt:param>
-    </fmt:message>
-</div>
-
-<hst:link var="jscommon" path="/js/js-common.js"/>
-<script src="${jscommon}" type="text/javascript"></script>
-
-<hst:link var="jquerytools" path="/js/jquery.tools.min.js"/>
-<script src="${jquerytools}" type="text/javascript"></script>
-
-<hst:link var="helpoverlay" path="/js/help-overlay.js"/>
-<script src="${helpoverlay}" type="text/javascript"></script>
-
-<hst:headContributions categoryIncludes="jsExternal"/>
-<hst:headContributions categoryIncludes="jsInternal"/>
-<hst:headContributions categoryIncludes="hippoPagecomposer"/>
-<c:if test="${not composermode}">
-  <hst:link var="googleAnalytics" path="/js/google_analytics.js"/>
-  <script src="${googleAnalytics}" type="text/javascript"></script>
-</c:if>
-</body>
-</html>
Index: site/src/main/webapp/WEB-INF/jsp/standard/main.jsp
===================================================================
--- site/src/main/webapp/WEB-INF/jsp/standard/main.jsp	(revision 28292)
+++ site/src/main/webapp/WEB-INF/jsp/standard/main.jsp	(working copy)
@@ -1,37 +0,0 @@
-<%--
-
-    Copyright (C) 2010 Hippo B.V.
-
-    Licensed under the Apache License, Version 2.0 (the "License");
-    you may not use this file except in compliance with the License.
-    You may obtain a copy of the License at
-
-            http://www.apache.org/licenses/LICENSE-2.0
-
-    Unless required by applicable law or agreed to in writing, software
-    distributed under the License is distributed on an "AS IS" BASIS,
-    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-    See the License for the specific language governing permissions and
-    limitations under the License.
-
---%>
-
-<%@ page language="java" %>
-<%@ page contentType="text/html; charset=UTF-8" %>
-<%@ page trimDirectiveWhitespaces="true" %>
-<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
-<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x" %>
-<%@ taglib uri="http://www.hippoecm.org/jsp/hst/core" prefix='hst'%>
-
-<div id="bd" class="yui-t1">
-   
-    <!-- left -->
-    <hst:include ref="left"/>
-    
-    <!-- content -->
-    <hst:include ref="content"/>
-    
-    <!-- right -->
-    <hst:include ref="right"/>
-   
-</div>
\ No newline at end of file
Index: site/src/main/webapp/WEB-INF/jsp/standard/header.jsp
===================================================================
--- site/src/main/webapp/WEB-INF/jsp/standard/header.jsp	(revision 28292)
+++ site/src/main/webapp/WEB-INF/jsp/standard/header.jsp	(working copy)
@@ -1,51 +0,0 @@
-<%--
-
-    Copyright (C) 2010 Hippo B.V.
-
-    Licensed under the Apache License, Version 2.0 (the "License");
-    you may not use this file except in compliance with the License.
-    You may obtain a copy of the License at
-
-            http://www.apache.org/licenses/LICENSE-2.0
-
-    Unless required by applicable law or agreed to in writing, software
-    distributed under the License is distributed on an "AS IS" BASIS,
-    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-    See the License for the specific language governing permissions and
-    limitations under the License.
-
---%>
-
-<%@ page language="java" %>
-<%@ page contentType="text/html; charset=UTF-8" %>
-<%@ page trimDirectiveWhitespaces="true" %>
-<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
-<%@ taglib uri="http://java.sun.com/jsp/jstl/xml" prefix="x" %>
-<%@ taglib uri="http://www.hippoecm.org/jsp/hst/core" prefix='hst'%>
-<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
-<%@ page import="java.util.Locale "%>
-
-<!-- header -->
-<div id="hd">
-    <!-- top navigation -->
-    <hst:include ref="topnav"/>
-
-    <!-- logo -->
-    <c:set var="lang" value="${pageContext.request.locale.language}"/>
-    <hst:link var="linkHome" path="/home"/>
-    <hst:link var="imgLogo" path="/images/gogreen_logo_${lang}.png"/>
-    <fmt:message var="altLogo" key="standard.header.logo.alt"/>
-    <h1><a href="${linkHome}"><img src="${imgLogo}" alt="${altLogo}" class="logo" width="275" height="70" /></a></h1>
- 
-    <!-- search bar -->
-    <hst:include ref="search"/> 
-    
-    <!--  language navigation -->
-    <hst:include ref="langnavigation" />
-    
-    <!-- main navigation -->
-    <hst:include ref="mainnavigation"/>
- 
-    <!-- login / registration -->
-    <hst:include ref="login"/>
-</div>